package org.implab.gradle.common.utils;

import java.util.regex.Pattern;

public class Strings {

    private static final Pattern firstLetter = Pattern.compile("^\\w");

    public static String capitalize(String string) {
        if (string == null || string.length() == 0)
            return "";
        return firstLetter.matcher(string).replaceFirst(m -> m.group().toUpperCase());
    }
}
